#include <iostream>
#include <vector>
#include <set>
using namespace std;
int main(){
	int t;cin>>t;
	while(t>0){
		int n,m,k;cin>>n>>m>>k;
		if(m>n){
			int p=0,x;set<int> cuvar;bool nie=false;
			while(n!=0){
				x=m/n;
				while(m-k*x<0){
					k--;
				}
				m-=k*x;
				if(cuvar.find(x)!=cuvar.end()){
					int i=1;
					while(cuvar.find(x-i)!=cuvar.end()){
						i++;
					}
					cuvar.insert(x-i);
					p=k*i;
					if(x-i<=0){
						cout<<"Nie"<<endl;
						nie=true;
						break;
					}
				}
				else{
					cuvar.insert(x);
				}
				n-=k;
			}
			if(!nie){
				cout<<"Tak"<<endl;
			}
		}
		else if(m==n){
			if(k==n){
				cout<<"Tak"<<endl;
			}
			else{
				cout<<"Nie"<<endl;
			}
		}
		else{
			cout<<"Nie"<<endl;
		}
		
		t--;
	}
	
	return 0;
}